<?xml version="1.0" encoding="utf-8"?>
<layout>

    <androidx.appcompat.widget.LinearLayoutCompat xmlns:android="http://schemas.android.com/apk/res/android"
        xmlns:tools="http://schemas.android.com/tools"
        android:id="@+id/left_content"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="horizontal"
        android:paddingVertical="8dp"
        android:paddingEnd="8dp">

        <LinearLayout
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="16dp"
            android:layout_marginEnd="16dp"
            android:orientation="vertical">

            <androidx.appcompat.widget.AppCompatTextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center_horizontal"
                android:layout_marginBottom="-8dp"
                android:text="@string/logistic_unit" />

            <androidx.appcompat.widget.AppCompatTextView
                android:id="@+id/num_collo"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center_vertical"
                android:textColor="@android:color/black"
                android:textSize="22sp"
                android:textStyle="bold"
                tools:text="22" />

        </LinearLayout>

        <LinearLayout
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:orientation="vertical">

            <RelativeLayout
                android:layout_width="wrap_content"
                android:layout_height="wrap_content">

                <androidx.appcompat.widget.AppCompatTextView
                    android:id="@+id/cod_mart"
                    style="@style/TextAppearance.Material3.TitleMedium"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    tools:text="150101-040" />

                <androidx.appcompat.widget.AppCompatTextView
                    android:id="@+id/partita_mag"
                    style="@style/TextAppearance.Material3.TitleSmall"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignBottom="@id/cod_mart"
                    android:layout_marginStart="4dp"
                    android:layout_marginEnd="6dp"
                    android:layout_toStartOf="@id/right_content"
                    android:layout_toEndOf="@id/cod_mart"
                    android:ellipsize="end"
                    android:singleLine="true"
                    tools:text="Lotto articolo" />

                <RelativeLayout
                    android:id="@+id/right_content"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignBottom="@id/cod_mart"
                    android:layout_alignParentEnd="true"
                    android:paddingEnd="8dp">

                    <androidx.appcompat.widget.LinearLayoutCompat
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:orientation="horizontal">

                        <androidx.appcompat.widget.AppCompatTextView
                            android:id="@+id/qta_versata"
                            style="@style/TextAppearance.Material3.BodyLarge"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            tools:text="27" />

                        <androidx.appcompat.widget.AppCompatTextView
                            android:id="@+id/unt_mis_qta_versata"
                            style="@style/TextAppearance.Material3.BodyMedium"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginStart="2dp"
                            tools:text="PZ" />
                    </androidx.appcompat.widget.LinearLayoutCompat>

                </RelativeLayout>

            </RelativeLayout>

            <androidx.appcompat.widget.AppCompatTextView
                android:id="@+id/descrizione"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:ellipsize="end"
                android:singleLine="true"
                style="@style/TextAppearance.Material3.BodySmall"
                tools:text="Descrizione estesa articolo" />

        </LinearLayout>

    </androidx.appcompat.widget.LinearLayoutCompat>


</layout>